Patchwork [2/2] rpm: needs threads support

login
register
mail settings
Submitter Gustavo Zacarias
Date July 4, 2012, 11:47 a.m.
Message ID <1341402434-30526-2-git-send-email-gustavo@zacarias.com.ar>
Download mbox | patch
Permalink /patch/168960/
State Accepted
Commit 485b05a475a996652a6533b3f50c5440a025e5bf
Headers show

Comments

Gustavo Zacarias - July 4, 2012, 11:47 a.m.
Because beecrypt needs threads rpm does too since it's a mandatory
dependency.

Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
---
 package/rpm/Config.in |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

Patch

diff --git a/package/rpm/Config.in b/package/rpm/Config.in
index a80a5a7..14072c9 100644
--- a/package/rpm/Config.in
+++ b/package/rpm/Config.in
@@ -1,8 +1,12 @@ 
+comment "rpm requires a toolchain with thread support"
+	depends on !BR2_TOOLCHAIN_HAS_THREADS
+
 comment "rpm requires libneon with SSL, XML and ZLIB support"
-	depends on !BR2_PACKAGE_NEON || BR2_PACKAGE_NEON_NOXML
+	depends on !BR2_PACKAGE_NEON || BR2_PACKAGE_NEON_NOXML && BR2_TOOLCHAIN_HAS_THREADS
 
 config BR2_PACKAGE_RPM
 	bool "rpm"
+	depends on BR2_TOOLCHAIN_HAS_THREADS # beecrypt
 	select BR2_PACKAGE_BEECRYPT
 	select BR2_PACKAGE_POPT
 	select BR2_PACKAGE_OPENSSL